libmpdclient 2.14

Public Attributes | List of all members
mpd_audio_format Struct Reference

`#include <audio_format.h>`

## Public Attributes
uint32_t | sample_rate
uint8_t | bits
uint8_t | channels
uint16_t | reserved0
uint32_t | reserved1

## Detailed Description

This structure describes the format of a raw PCM stream.

Definition at line 55 of file audio_format.h.

## Member Data Documentation

## ◆ sample_rate

uint32_t mpd_audio_format::sample_rate

The sample rate in Hz. A better name for this attribute is "frame rate", because technically, you have two samples per frame in stereo sound.

Definition at line 61 of file audio_format.h.

## ◆ bits

uint8_t mpd_audio_format::bits

The number of significant bits per sample. Samples are currently always signed. Supported values are 8, 16, 24, 32 and the special values MPD_SAMPLE_FORMAT_FLOAT, MPD_SAMPLE_FORMAT_DSD.

Since
  libmpdclient 2.10 added support for MPD_SAMPLE_FORMAT_FLOAT and MPD_SAMPLE_FORMAT_DSD.

Definition at line 72 of file audio_format.h.

## ◆ channels

uint8_t mpd_audio_format::channels

The number of channels. Only mono (1) and stereo (2) are fully supported currently.

Definition at line 78 of file audio_format.h.

## ◆ reserved0

uint16_t mpd_audio_format::reserved0

reserved for future use

Definition at line 81 of file audio_format.h.

## ◆ reserved1

uint32_t mpd_audio_format::reserved1

reserved for future use

Definition at line 84 of file audio_format.h.

The documentation for this struct was generated from the following file:

- mpd/audio_format.h